//V100R021-->
var ERRMSG_NON_FILESELECT = 'ファームウェアファイルを選択してください。';
var ERRMSG_IN_OPERATION = '保守操作中の為、プログラムアップデートをリモート実行出来ません。';
var ERRMAG_FILE_BROKEN = '選択されたファームウェアファイルが壊れています。';
var ERRMSG_BAD_FILE_NOINFO = '選択されたファームウェアファイルが正しくありません。（パッケージ情報なし）';
var ERRMSG_BAD_FILE_BADINFO = '選択されたファームウェアファイルが正しくありません。（パッケージ情報不正）';
var ERRMSG_BAD_FILE_BADMODEL = '選択されたファームウェアファイルのモデルが不正です。';
var ERRMSG_BAD_FILE_BADVER = '選択されたファームウェアファイルのバージョンが不正です。';
var ERRMSG_BAD_FILE_OLDVER = '選択されたファームウェアファイルは、現在のファームウェアバージョン以前のものです。';
var MESSAGE_PGUPDCONFIRM = 'プログラムアップデートをリモート実行します。\nよろしいですか？\n\n※プログラムアップデート実行中は、GreenNutsPlusの操作が出来ません。\n※プログラムアップデート実行後は、GreenNutsPlusが再起動されます。';
/////////////////////////////////////////////////
//プログラムアップデート実行イベント処理
/////////////////////////////////////////////////
var fPgUpload = false;
var result = '000';
/* ---------------------------------------
 file_upload ファームウェアのチェック関数
 ----------------------------------------- */
function file_upload()
{
	var f = document.forms[0];
	//ファイル選択チェック
	var fname = f.firmwarefile.value;
	if( fname == '' ){
		alert(ERRMSG_NON_FILESELECT);
		return false;
	}
	//複数クリックの抑制
	if(fPgUpload){
		return;
	}

	fPgUpload = true;
	result = '000';

	// 処理前に Loading 画像を表示
	dispLoading("処理中...");
	sleep(1, function() {
		//「処理中」消去
		removeLoading();
		dispLoading("処理中...");
		exec_file_upload()
			.then(removeLoading)
			.then(funcExec);
	});
}
/* ----------------------------------------------
 exec_file_upload ファームウェアのチェック関数（ajax）
 ----------------------------------------- */
function exec_file_upload()
{
	var dfd = $.Deferred();
	
	var chkurl = location.origin + "/pgcheck.html";
	// フォームデータを取得
	var formdata = new FormData($('#my_form').get(0));
	// POSTでアップロード
	$.ajax({
		url  : chkurl,
		type : "POST",
		data : formdata,
		cache       : false,
		contentType : false,
		processData : false,
		dataType    : "html"
	})
	.done(function(data, textStatus, jqXHR){
		result = data;
	})
	.fail(function(jqXHR, textStatus, errorThrown){
		result = '999';
	})
	.always( function(data) {
		fPgUpload = false;
		dfd.resolve();
	});
	
	return dfd.promise();
}
/* ----------------------------------------------
 funcExec Ajax後の動作
 ----------------------------------------- */
function funcExec(){
	var dfd = $.Deferred();
	if(result == '000'){
		funcExecConfirm();
	}else{
		funcDispMessage();
	}
	dfd.resolve();
	return dfd.promise();
}
/* ----------------------------------------------
 funcDispMessage エラーメッセージ表示
 ----------------------------------------- */
function funcDispMessage(){
	//メッセージ表示
	if( result == '101' ){
		alert(ERRMSG_IN_OPERATION);
	}
	if( result == '201' ){
		alert(ERRMAG_FILE_BROKEN);
	}
	if( result == '202' ){
		alert(ERRMSG_BAD_FILE_NOINFO);
	}
	if( result == '203' ){
		alert(ERRMSG_BAD_FILE_BADINFO);
	}
	if( result == '102' ){
		alert(ERRMSG_BAD_FILE_BADMODEL);
	}
	if( result == '103' ){
		alert(ERRMSG_BAD_FILE_BADVER);
	}
	if( result == '104' ){
		alert(ERRMSG_BAD_FILE_OLDVER);
	}
	if( result == '999' ){
		alert("GreenNutsPlusとの通信に失敗しました。");
	}
}
/* ----------------------------------------------
 funcExecConfirm 実行確認＆SUBMIT
 ----------------------------------------- */
function funcExecConfirm() {
	if(confirm(MESSAGE_PGUPDCONFIRM)) {
		dispLoading("処理中...");
		
		var f = document.forms[0];
		f.enctype = 'multipart/form-data';
		f.action.value = 'GNPGUPD2';
		
		document.forms[0].submit();
	}
}
/* ------------------------------
 Loading イメージ表示関数
 引数： msg 画面に表示する文言
 ------------------------------ */
function dispLoading(msg){
  // 引数なし（メッセージなし）を許容
  if( msg == undefined ){
    msg = "";
  }
  // 画面表示メッセージ
  //var dispMsg = "<div class='loadingMsg' style='background-image:url(img/ing.gif);background-repeat:no-repeat;background-position:center center'>" + msg + "</div>";
  var dispMsg = "<div class='loadingMsg'>" + msg + "</div>";
  // ローディング画像が表示されていない場合のみ出力
  if($("#loading").length == 0){
    $("body").append("<div id='loading'>" + dispMsg + "</div>");
  }
}
 
/* ------------------------------
 Loading イメージ削除関数
 ------------------------------ */
function removeLoading(){
  $("#loading").remove();
}

/////////////////////////////////////////////////
//入力項目チェック
/////////////////////////////////////////////////
function funcInputCheck() {
	var f = document.forms[0];
	var bCheckResult = true;

	if(bCheckResult == false) {
		document.getElementById('DIV_Error').style.display = '';
		return false;
	} else {
		document.getElementById('DIV_Error').style.display = 'none';

		//画面設定により、XML項目の編集
		funcEditXMLItem();
		return true;
	}
}

// setIntervalを使う方法
function sleep(waitSec, callbackFunc) {
	// 経過時間（秒）
	var spanedSec = 0;
	// 1秒間隔で無名関数を実行
	var id = setInterval(function () {
		spanedSec++;
		// 経過時間 >= 待機時間の場合、待機終了。
		if (spanedSec >= waitSec) {
			// タイマー停止
			clearInterval(id);
			// 完了時、コールバック関数を実行
			if (callbackFunc) callbackFunc();
		}
	}, 1000);
}
/////////////////////////////////////////////////
//画面設定により、XML項目の編集処理
/////////////////////////////////////////////////
function funcEditXMLItem() {
	var f = document.forms[0];
	f.ReqMasterDlBase.value = f.selMasterDlBaseHH.value + ':' + f.selMasterDlBaseMM.value;
}

/////////////////////////////////////////////////
//ボディオンロードイベント処理
/////////////////////////////////////////////////
function funcOnload() {
//	//「処理中」表示
//	dispLoading("処理中...");
	var f = document.forms[0];
//	sleep(1, function() {
//		//「処理中」消去
//		removeLoading();
//	});
}


/////////////////////////////////////////////////
//時コンボと分コンボ
/////////////////////////////////////////////////
function setHHMM(value, selHH, selMM) {
	var strHHMM = value.split(':');
	selHH.value = strHHMM[0];
	selMM.value = strHHMM[1];
}
//V100R021<--
